---
name: Bug report
about: Create a report to help us improve
---

<!--

Have you read Formidable's Code of Conduct? By filing an Issue, you are expected to comply with it, including treating everyone with respect: https://github.com/FormidableLabs/spectacle/blob/main/CONTRIBUTING.md#contributor-covenant-code-of-conduct

-->

### Prerequisites

<!-- Feel free to delete this section if you have checked off all of the following: -->

- [ ] I have searched the open [issues](https://www.github.com/FormidableLabs/spectacle/issues) to make sure I'm not opening a duplicate issue
- [ ] I have read through the [docs](https://www.formidable.com/open-source/spectacle/docs) before asking a question
- [ ] I am using the latest version of Spectacle

### Describe Your Environment

**What version of Spectacle are you using?** (can be found by running `npm list --depth 0 spectacle`)

**What version of React are you using?** (can be found by running `npm list --depth 0 react`)

**What browser are you using?** (e.g., Chrome 105.0.5195.102, Safari 16.0)

**What platform are you on?** (e.g., Windows, macOS, iOS, Android)

### Describe the Problem

<!--

It's easier to show us than tell us what's going wrong with your code. Because of this, we ask that you do one of three things to help us reproduce the bug:

1.  Fork one of the codesandbox examples below, reproduce your issue in the code, and paste the link in this section.
    Simple Spectacle Example:
    https://codesandbox.io/s/lq1tbm
    TypeScript version:
    https://codesandbox.io/s/kqotzi
2.  Create a public minimal repository that we can `git clone`, with install + error reproduction steps in the README.
3.  Open up a PR, include "WIP" and the Issue # in the title, and point us to the failing regression tests.

-->

**Expected behavior:** [What you expect to happen]

**Actual behavior:** [What actually happens]

### Additional Information

<!-- Any additional information, configuration or data that might be necessary to reproduce the issue. -->
